package com.aurellem.capture.examples;

import java.io.File;
import java.io.IOException;

import jme3test.helloworld.HelloAudio;

import com.aurellem.capture.Capture;
import com.aurellem.capture.IsoTimer;
import com.jme3.app.Application;

/** Recording audio from your Application is simple.  If all you want
 *  to do is record Audio, then follow the following steps.
 * 
 *  1.) Set the Application's timer to an IsoTimer.  The framerate is
 *  irrelevant for sound, but must evenly divide 44,100Hz, which is
 *  the frequency at which sound will be recorded.  For example
 *  IsoTimer(60) is ok, but IsoTimer(61) is not.
 * 
 *  2.) Call Capture.captureAudio(yourApplication, target-file) before
 *  calling yourApplication.start()
 *  
 *  That's it!  If you have any comments/problems, please PM me on the
 *  jMonkeyEngine forms.  My username is bortreb.
 * 
 * @author Robert McIntyre
 */
public class HelloAudioRecording {

    public static void main(String[] ignore) throws IOException{
	Application app = new HelloAudio();
	File audio = File.createTempFile("JME-simple-audio", ".wav");
	app.setTimer(new IsoTimer(60));
	Capture.captureAudio(app, audio);
	app.start();
	System.out.println(audio.getCanonicalPath());		
    }
}
